org.apache.ignite.internal.processors.cache.distributed.dht

## Class ClientCacheDhtTopologyFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<AffinityTopologyVersion>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter
    - - org.apache.ignite.internal.processors.cache.distributed.dht.ClientCacheDhtTopologyFuture

All Implemented Interfaces:
  IgniteInternalFuture<AffinityTopologyVersion>, GridDhtTopologyFuture

    public class ClientCacheDhtTopologyFuture
    extends GridDhtTopologyFutureAdapter
    implements GridDhtTopologyFuture

Topology future created for client cache start.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter

`GridDhtTopologyFutureAdapter.CacheValidation`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter

`grpValidRes`

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheDhtTopologyFuture(AffinityTopologyVersion topVer)`
`ClientCacheDhtTopologyFuture(AffinityTopologyVersion topVer, IgniteCheckedException e)`

### Method Summary

Methods
`AffinityTopologyVersion` `topologyVersion()` Gets topology version of this future.
`String` `toString()`
`void` `validate(CacheGroupContext grp, Collection<ClusterNode> topNodes)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFutureAdapter

`validateCache, validateCacheGroup`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTopologyFuture

`validateCache`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, chain, error, get, get, get, getUninterruptibly, isCancelled, isDone, listen, result`

### Constructor Detail

#### ClientCacheDhtTopologyFuture

    public ClientCacheDhtTopologyFuture(AffinityTopologyVersion topVer)

Parameters:
  `topVer` - Topology version.

#### ClientCacheDhtTopologyFuture

    public ClientCacheDhtTopologyFuture(AffinityTopologyVersion topVer,
                                IgniteCheckedException e)

Parameters:
  `topVer` - Topology version.
  `e` - Error.

### Method Detail

#### validate

    public void validate(CacheGroupContext grp,
                Collection<ClusterNode> topNodes)

Parameters:
  `grp` - Cache group.
  `topNodes` - Topology nodes.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Gets topology version of this future.

Specified by:
  `topologyVersion` in interface `GridDhtTopologyFuture`
Returns:
  Topology version.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<AffinityTopologyVersion>`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017